--- tests/interactive/test-accurate-seek.c.orig	2023-07-20 22:22:48.000000000 +0800
+++ tests/interactive/test-accurate-seek.c	2023-08-16 15:02:27.000000000 +0800
@@ -169,6 +169,35 @@
   /* g_print ("Done %s\n", fn); */
 }
 
+void *
+memmem(const void *l, size_t l_len, const void *s, size_t s_len)
+{
+	register char *cur, *last;
+	const char *cl = (const char *)l;
+	const char *cs = (const char *)s;
+
+	/* we need something to compare */
+	if (l_len == 0 || s_len == 0)
+		return NULL;
+
+	/* "s" must be smaller or equal to "l" */
+	if (l_len < s_len)
+		return NULL;
+
+	/* special case where s_len == 1 */
+	if (s_len == 1)
+		return memchr(l, (int)*cs, l_len);
+
+	/* the last position where its possible to find "s" in "l" */
+	last = (char *)cl + l_len - s_len;
+
+	for (cur = (char *)cl; cur <= last; cur++)
+		if (cur[0] == cs[0] && memcmp(cur, cs, s_len) == 0)
+			return cur;
+
+	return NULL;
+}
+
 static void
 test_seek_FORMAT_TIME_by_sample (const gchar * fn, GList * seek_positions)
 {
